#
# spec file for package python-pyspf
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-pyspf
Version:        2.0.12
Release:        1.1
Summary:        Python SPF (Sender Policy Framework) Domain forgery prevention
License:        Python-2.0
Group:          Development/Libaries/Python
Url:            http://pymilter.sourceforge.net
Source:         http://downloads.sourceforge.net/pymilter/pyspf-%{version}.tar.gz
BuildRequires:  python-devel >= 2.6
BuildRequires:  python-setuptools
BuildRequires:  python-pydns
BuildRequires:  python-ipaddr
Requires:       python-pydns
Requires:       python-ipaddr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
%if 0%{?rhel_version} && 0%{?rhel_version} <= 600
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
%if 0%{?centos_version} && 0%{?centos_version} <= 600
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
%endif
%endif

%description
Python implementation of SPF (Sender Policy Framework).
Now RFC 4408 compliant.

SPF does email sender validation. For more information about SPF, please see
http://www.openspf.net/

This SPF client is intended to be installed on the border MTA, checking if
incoming SMTP clients are permitted to forward mail.

%prep
%setup -q -n pyspf-%{version}
# For rpmlint warning: remove shebang from python library:
sed -i '/^#!/d' ./spf.py

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG PKG-INFO README
%{_bindir}/spfquery.py
%{_bindir}/type99.py
%{python_sitelib}/*

%changelog
* Sat Nov  7 2015 opensuse@mirell.de
- Update to version 2.0.12:
  + Reset void_lookups at top of check()
  + Ignore permerror for best_guess()
  + Don't crash on null DNS TXT record (ignore): test case
    null-text
  + Trailing spaces are allowed by 4.5/2: test case trailing-space
  + Make CNAME loop result in unknown host: test case
    ptr-cname-loop
  + Test case and fix for mixed case CNAME loop, test case
    ptr-cname-loop
- Changes from version 2.0.11:
  + Fix another bug in SPF record parsing that caused records with
    terms separated by multple spaces as invalid, but they are
    fine per the ABNF
  + Downcase names in additional answers returned by DNS before
    adding to cache, since case inconsistency can cause PTR match
    failures (initial patch thanks to Joni Fieggen) and other
    problems.
- Changes from version 2.0.10:
  + Fix bug in SPF record parsing that caused all 'whitespace'
    characters to be considered valid term separators and not just
    spaces
  + Fixed multiple bugs in temperror processing that would lead to
    tracebacks instead of correct error processing
  + Fix AAAA not flagged as bytes when strict=2
  + Include '~' as safe char in url quoted macro expansion
- Changes from version 2.0.9:
  + Update for new SPF standards track RFC 7208
  - Add processing for new void lookups processing limit
  - Default SPF process timeout limit to 20 seconds per RFC 7208
    4.6.4
  - Change default DNS timeout to 20 seconds in DNSLookup to
    better match RFC 7208 4.6.4
  - Make mx lookups > 10 a permerror per RFC 7208 and mx-limit
    test
  - Add RFC 7208 specific test suite and make allowance for
    RFC 7208 changes in RFC 4408 test suite
  - Convert YAML tests to TestCases, and have testspf.py return
    success/fail.
- Changes from version 2.0.8:
  + Use ipaddr/ipaddres module in place of custom IP processing
    code
  + Numerous python3 compatibility fixes
  + Improved unicode error detection in SPF records
  + Fixed a bug caused by a null CNAME in cache
* Sun Apr  1 2012 gerberb@zenez.com
- Update to version 2.0.7:
  + Allow for timeouts to be global for all DNS lookups instead of
    per DNS lookup to allow for MAY processing time limits in
    RFC 4408 10.1. See README for details.
  + Use openspf.net for SPF web site instead of openspf.org
  + Extend query.get_header to return either Received-SPF (still
    default) or RFC 5451 Authentication Results headers (needs
    authres 0.3 or later)
  + Rework query.parse_header:
  - Make query.parse_header automatically select Received-DPF or
    Authentication Results header types and use them to collect
    SPF results from trusted relays
  - Add query.parse_header_spf and query.parse_header_ar
    functions for header type specific processing
  + Finish Python3 port - works with python2.6/2.7/3.2 and 2to3 is
    no longer required - will also work with newer py3dns where
    TXT records are returned as type bytes and not strings
  + Accounts for new py3dns error classes coming in py3dns 3.0.2
    (but fully backward compatible with earlier versions)
  + check for 7-bit ascii on TXT and SPF records
  + fix CNAME chain duplicating TXT records
